package com.ym.mec.biz.dal.dto;


import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class CooperationCalenderRefundDto {

    @ApiModelProperty(value = "缴费项目编号",required = false)
    private Long calenderId;

    @ApiModelProperty(value = "乐团编号",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "乐团",required = false)
    private String musicGroupName;

    @ApiModelProperty(value = "缴费批次",required = false)
    private String batchNo;

    @ApiModelProperty(value = "缴费类型",required = false)
    private String paymentType;

    @ApiModelProperty(value = "计价方式",required = false)
    private String calenderFeeType;

    @ApiModelProperty(value = "应收账款",required = false)
    private BigDecimal receivable = BigDecimal.ZERO;

    @ApiModelProperty(value = "实际收入",required = false)
    private BigDecimal income = BigDecimal.ZERO;

    @ApiModelProperty(value = "预收",required = false)
    private BigDecimal prepaidFee = BigDecimal.ZERO;

    @ApiModelProperty(value = "下次回款时间",required = false)
    private String nextRefundDate;

    @ApiModelProperty(value = "回款状态",required = false)
    private String refundStatus;

    @ApiModelProperty(value = "合同",required = false)
    private String contractUrl;

    public String getContractUrl() {
        return contractUrl;
    }

    public void setContractUrl(String contractUrl) {
        this.contractUrl = contractUrl;
    }

    public Long getCalenderId() {
        return calenderId;
    }

    public void setCalenderId(Long calenderId) {
        this.calenderId = calenderId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getPaymentType() {
        return paymentType;
    }

    public void setPaymentType(String paymentType) {
        this.paymentType = paymentType;
    }

    public String getCalenderFeeType() {
        return calenderFeeType;
    }

    public void setCalenderFeeType(String calenderFeeType) {
        this.calenderFeeType = calenderFeeType;
    }

    public BigDecimal getReceivable() {
        return receivable;
    }

    public void setReceivable(BigDecimal receivable) {
        this.receivable = receivable;
    }

    public BigDecimal getIncome() {
        return income;
    }

    public void setIncome(BigDecimal income) {
        this.income = income;
    }

    public BigDecimal getPrepaidFee() {
        return prepaidFee;
    }

    public void setPrepaidFee(BigDecimal prepaidFee) {
        this.prepaidFee = prepaidFee;
    }

    public String getNextRefundDate() {
        return nextRefundDate;
    }

    public void setNextRefundDate(String nextRefundDate) {
        this.nextRefundDate = nextRefundDate;
    }

    public String getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(String refundStatus) {
        this.refundStatus = refundStatus;
    }
}
